﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1SuperTooltip;

namespace TooltipCloseButton
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            _c1Tooltip.HitTestVisible = true; //determines whether the tooltip can be clicked. 
            _c1Tooltip.IsBalloon = true; //Showing tooltip in a balloon shape. 

            // show the tooltip when the user hovers over the button
            _btn.MouseHover += (s, e) =>
                {
                    var fmt = 
                        "<table><tr>" +
                        "<td style='width:200'>{0}</td>" +
                        "<td><a href='close'><img src='res://close'/></a></td>" +
                        "</tr></table>";
                    var txt = 
                        "<b>Tooltip with Close Button</b><br/>" +
                        "This is a tooltip.<br/>" +
                        "You can close it by clicking the close button " +
                        "at the top right corner of the tooltip.<br/>" +
                        "Or you can click somewhere else on the screen...";
                    var tip = string.Format(fmt, txt);

                    // show the tooltip
                    _c1Tooltip.Show(tip, _btn);
                   
                };

            // close tooltip when user clicks the close button
            _c1Tooltip.LinkClicked += (s, e) =>
                {
                    _c1Tooltip.Hide();
                };

            // close tooltip when user moves the form
            this.Move += (s, e) =>
                {
                    _c1Tooltip.Hide();
                };
        }

        private void _c1Tooltip_Popup(object sender, C1.Win.C1SuperTooltip.PopupEventArgs e)
        {
            // keep tooltip visible for 3 seconds even if the mouse moves
        
            _c1Tooltip.Show(e.Text, e.Control, 4000);
            
        }
    }
}
